/******************************************************************************

 This file is part of FDD3000 Emulator version 0.1.6

 Copyright (C) 2013,2014 by Sławomir Szczyrba <sszczyrba@gmail.com>

 FDD300Emu is free software: you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation, either version 2 of the License, or (at your option) any
 later version.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/lgpl.html>

******************************************************************************/

#ifndef gui_H
#define gui_H

#include <QApplication>
#include <QDesktopWidget>
#include <QMainWindow>
#include <QPushButton>
#include <QBitmap>
#include <QtGui>
#include "diskImage.h"
#include "setupdlg.h"
#include "wd1772.h"
#include "fdd3000.h"


namespace Ui {
class gui;
}

class gui : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit gui(QWidget *parent = 0);
    ~gui();
    
private slots:

public slots:
    void message(QString s);

protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);

private:
    Ui::gui *ui;
    fdd3000 *fdd3;
    diskImage * drive[5];
    bool down;
    QPoint lastPos;
    QFontDatabase fontDB;
    QStringList fontList;
    QStringList fontFiles;
    QList<int>  fontSizes;
    QSettings   config;
    setupdlg    *setup;

    void reconfigure();
};

#endif // gui_H
