/******************************************************************************

 This file is part of FDD3000 Emulator version 0.1.6

 Copyright (C) 2013,2014 by Sławomir Szczyrba <sszczyrba@gmail.com>

 FDD300Emu is free software: you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation, either version 2 of the License, or (at your option) any
 later version.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.

 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/lgpl.html>

******************************************************************************/

#include "gui.h"
#include <QApplication>
#include <QTextCodec>
#include <QTranslator>

#if !defined(LOCALEDIR)
#define LOCALEDIR "/usr/share/fdd3000e"
#endif

int main(int argc, char *argv[])
{
    QCoreApplication::setOrganizationName("steev");
    QCoreApplication::setOrganizationDomain("localhost");
    QCoreApplication::setApplicationName("FDD3000e");
//    QTextCodec::setCodecForTr(QTextCodec::codecForName("utf8"));
    QApplication a(argc, argv);

    QTranslator qtTranslator;
//    qtTranslator.load("fdd3000e_" + QLocale::system().name(), QLibraryInfo::location(QLibraryInfo::TranslationsPath));
    qtTranslator.load("fdd3000e_" + QLocale::system().name(), LOCALEDIR);
    a.installTranslator(&qtTranslator);

//    qDebug()<<QLocale::system().name();
//    qDebug()<<QLibraryInfo::location(QLibraryInfo::TranslationsPath);

    gui w;
    w.setWindowFlags(Qt::FramelessWindowHint);
    w.show();
    
    return a.exec();
}
